org.apache.hadoop.registry.client.impl.zk

## Class RegistrySecurity.UgiInfo

- java.lang.Object
- - org.apache.hadoop.registry.client.impl.zk.RegistrySecurity.UgiInfo

- Enclosing class:
    RegistrySecurity

      public static class RegistrySecurity.UgiInfo
      extends Object

  On demand string-ifier for UGI with extra details

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UgiInfo(org.apache.hadoop.security.UserGroupInformation ugi)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegistrySecurity.UgiInfo` | `fromCurrentUser()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UgiInfo

          public UgiInfo(org.apache.hadoop.security.UserGroupInformation ugi)

  - ### Method Detail

    - #### fromCurrentUser

          public static RegistrySecurity.UgiInfo fromCurrentUser()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.